Create Company Note
curl --request POST \
--url https://api.lemlist.com/api/companies/{companyId}/notes \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "Note created from the API!"
}
'import requests
url = "https://api.lemlist.com/api/companies/{companyId}/notes"
payload = { "note": "Note created from the API!" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: 'Note created from the API!'})
};
fetch('https://api.lemlist.com/api/companies/{companyId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/companies/{companyId}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"Note created from the API!\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/companies/{companyId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => 'Note created from the API!'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "act_j0NrG6rYEPP9TMmWC",
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"companyId": "cpn_Qf4CJuUrNUNmHm6uZ",
"type": "annotated",
"createdAt": "2025-10-28T04:25:00.653Z",
"note": "could help our GTM team be more productive",
"sendUserId": "usr_ahfFktBBHUIxbVG5P",
"userId": "usr_ahfFktBBHUIxbVG5P"
}"Bad team""The authentication you supplied is incorrect""Company not found"Companies
Create Company Note
Creates a new note attached to a specific company.
POST
/
companies
/
{companyId}
/
notes
Create Company Note
This endpoint uses the Company Note object.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the company
Body
application/json
The note content
Response
Success
A text note attached to a company record to store information.
Unique note identifier
Team ID that owns the company
Parent company ID
Note text content
Type of note or activity (e.g., 'annotated')
ID of the user who created the note
ID of the sending user if applicable
Creation timestamp
Last update timestamp
Was this page helpful?